Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.item.crafting
Class RecipesMapExtending

    java.lang.Object
      net.minecraft.item.crafting.ShapedRecipes
          net.minecraft.item.crafting.RecipesMapExtending

All Implemented Interfaces:
  IRecipe

    public class RecipesMapExtending

extends ShapedRecipes

Field Summary

Fields inherited from class net.minecraft.item.crafting.ShapedRecipes
`recipeHeight, recipeItems, recipeOutputItemID, recipeWidth`

Constructor Summary
`RecipesMapExtending()`

Method Summary
`ItemStack` | `getCraftingResult(InventoryCrafting par1InventoryCrafting)` Returns an Item that is the result of this recipe
`boolean` | `matches(InventoryCrafting par1InventoryCrafting, World par2World)` Used to check if a recipe matches current crafting inventory

Methods inherited from class net.minecraft.item.crafting.ShapedRecipes
`func_92048_c, getRecipeOutput, getRecipeSize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecipesMapExtending

    public RecipesMapExtending()

Method Detail

### matches

    public boolean matches(InventoryCrafting par1InventoryCrafting,
                           World par2World)

  Used to check if a recipe matches current crafting inventory

  Specified by:
    `matches` in interface `IRecipe`
  Overrides:
    `matches` in class `ShapedRecipes`

### getCraftingResult

    public ItemStack getCraftingResult(InventoryCrafting par1InventoryCrafting)

  Returns an Item that is the result of this recipe

  Specified by:
    `getCraftingResult` in interface `IRecipe`
  Overrides:
    `getCraftingResult` in class `ShapedRecipes`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD